curl --request POST \
--url https://api.krea.ai/generate/video/google/veo-3.1-fast \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime."
}
'import requests
url = "https://api.krea.ai/generate/video/google/veo-3.1-fast"
payload = { "prompt": "Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.'
})
};
fetch('https://api.krea.ai/generate/video/google/veo-3.1-fast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.krea.ai/generate/video/google/veo-3.1-fast",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.krea.ai/generate/video/google/veo-3.1-fast"
payload := strings.NewReader("{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.krea.ai/generate/video/google/veo-3.1-fast")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.krea.ai/generate/video/google/veo-3.1-fast")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
},
"progress": 0.5
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Veo 3.1 Fast
Faster, affordable Veo 3.1 with audio.
curl --request POST \
--url https://api.krea.ai/generate/video/google/veo-3.1-fast \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime."
}
'import requests
url = "https://api.krea.ai/generate/video/google/veo-3.1-fast"
payload = { "prompt": "Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.'
})
};
fetch('https://api.krea.ai/generate/video/google/veo-3.1-fast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.krea.ai/generate/video/google/veo-3.1-fast",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.krea.ai/generate/video/google/veo-3.1-fast"
payload := strings.NewReader("{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.krea.ai/generate/video/google/veo-3.1-fast")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.krea.ai/generate/video/google/veo-3.1-fast")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"Deep-sea city with merfolk and submerged ruins, channeling underwater fantasy anime.\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
},
"progress": 0.5
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Pricing
| Resolution | Audio | Duration | Price |
|---|---|---|---|
| 720p | No | 4s | $0.32 |
| 1080p | No | 4s | $0.40 |
| 720p | Yes | 4s | $0.40 |
| 1080p | Yes | 4s | $0.48 |
| 720p | No | 6s | $0.48 |
| 1080p | No | 6s | $0.60 |
| 720p | Yes | 6s | $0.60 |
| 720p | No | 8s | $0.64 |
| 1080p | Yes | 6s | $0.72 |
| 1080p | No | 8s | $0.80 |
| 720p | Yes | 8s | $0.80 |
| 1080p | Yes | 8s | $0.96 |
| 4K | No | 4s | $1.00 |
| 4K | Yes | 4s | $1.20 |
| 4K | No | 6s | $1.50 |
| 4K | Yes | 6s | $1.80 |
| 4K | No | 8s | $2.00 |
| 4K | Yes | 8s | $2.40 |
Deprecated request aliases
Deprecated request aliases
| Deprecated | Use instead | Accepted until |
|---|---|---|
startImage | start_image | 2026-06-19 |
aspectRatio | aspect_ratio | 2026-06-19 |
generateAudio | generate_audio | 2026-06-19 |
endImage | end_image | 2026-06-19 |
referenceImages | reference_images | 2026-06-19 |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results. When signing is configured, deliveries are signed with ECDSA P-256 (ES256); verify them with the keys at https://api.krea.ai/.well-known/jwks.json (see X-Krea-Webhook-* headers). Treat requests without these headers as unauthenticated.
Body
Can be an external URL, base64 data URI, or uploaded asset URL.
102416:9, 9:16 | Title | Const |
|---|---|
| Unknown | 4 |
| Unknown | 6 |
| Unknown | 8 |
720p, 1080p, 4K Can be an external URL, base64 data URI, or uploaded asset URL.
1024Can be an external URL, base64 data URI, or uploaded asset URL.
1024Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
0 <= x <= 1Was this page helpful?